> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset Communication Group to Default Template

> Reset a communication group to the default template



## OpenAPI

````yaml POST /api/communication-groups/{communicationGroupId}/{automationId}/reset
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /api/communication-groups/{communicationGroupId}/{automationId}/reset:
    post:
      tags:
        - Communication Groups
      summary: Reset Communication Group to Default Template
      description: Reset a communication group to the default template
      parameters:
        - name: reach-tenant-id
          in: header
          required: false
          schema:
            type: string
            description: >-
              If using a platform scoped JWT, you can pass in a header to
              impersonate a specific tenant to impersonate the request as.
        - schema:
            type: string
            description: The id of the communication group
          required: true
          description: The id of the communication group
          name: communicationGroupId
          in: path
        - schema:
            type: string
            description: The id of the automation
          required: true
          description: The id of the automation
          name: automationId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - email
                    - sms
                  description: The type of communication to reset
              required:
                - type
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties: {}
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message

````